aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/test/stress_test.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:43:19 +0100
committerEgor Tensin <Egor.Tensin@gmail.com>2022-12-07 15:43:19 +0100
commitf6fd08fb6f0028d1f0069c4ccaaaf225e9ebb08b (patch)
treead81f0ee5a4ffec4043c46bf4ecf0806ee8de4f2 /test/stress_test.sh
parentworkflows/ci: use default clang-format (diff)
downloadmath-server-f6fd08fb6f0028d1f0069c4ccaaaf225e9ebb08b.tar.gz
math-server-f6fd08fb6f0028d1f0069c4ccaaaf225e9ebb08b.zip
fix preludes in bash scripts
Diffstat (limited to '')
-rwxr-xr-xtest/stress_test.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/test/stress_test.sh b/test/stress_test.sh
index 1f7c9e1..5acc985 100755
--- a/test/stress_test.sh
+++ b/test/stress_test.sh
@@ -6,6 +6,7 @@
# Distributed under the MIT License.
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_name="$( basename -- "${BASH_SOURCE[0]}" )"
readonly script_name